#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gtk2+-bootstrap
Version		:	2.24.33
Release		:	17.2.0.rel%{?dist}
Summary		:	The GIMP ToolKit (GTK+), a library for creating GUIs for X
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/gtk+

Source0		:	gtk+-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	atk-devel
BuildRequires	:	gdk-pixbuf
BuildRequires	:	gobject-introspection
BuildRequires	:	pango

Requires	:	gdk-pixbuf
#-----------------------------------------------------------------------------
Provides	:	gtk+
Provides	:	gtk2+
#-----------------------------------------------------------------------------
%description
GTK+ is a multi-platform toolkit for creating graphical user
interfaces. Offering a complete set of widgets, GTK+ is suitable for
projects ranging from small one-off tools to complete application
suites.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING README NEWS
%{_sysconfdir}/gtk-2.0/*.conf
%{_includedir}/gtk-2.0/g{d,t}k/*.h
%{_includedir}/gail-1.0/libgail-util/*.h
%{_includedir}/gail-1.0/gail/*.h
%{_includedir}/gtk-unix-print-2.0/gtk/*.h
%{_bindir}/gtk*
%{_libdir}/gtk-2.0/*
%{_libdir}/libg{d,t}k-x11-2.0.{la,so*}
%{_libdir}/libgailutil.{la,so*}
%{_libdir}/pkgconfig/gail.pc
%{_libdir}/pkgconfig/*-2.0.pc
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/gir-1.0/*.gir
%{_datadir}/aclocal/gtk-2.0.m4
%{_datadir}/gtk-2.0/*
%{_datadir}/gtk-doc/html/gail-libgail-util/*.{html,png,devhelp2,css}
%{_datadir}/gtk-doc/html/gdk2/*
%{_datadir}/gtk-doc/html/gtk2/*
%{_datadir}/themes/{Default,Emacs,Raleigh}/gtk-2.0-key/gtkrc
%{_datadir}/themes/{Default,Emacs,Raleigh}/gtk-2.0/gtkrc
%{_datadir}/locale/*/*/gtk20*.mo

#-----------------------------------------------------------------------------
%post
%{_bindir}/gtk-query-immodules-2.0 --update-cache

#=============================================================================
%prep
%setup -q -n gtk+-%{version}

#-----------------------------------------------------------------------------
#building application
%build


sed -i							\
  -e 's#l \(gtk-.*\).sgml#& -o \1#'			\
  docs/{faq,tutorial}/Makefile.in

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}			\
	--disable-cups					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%{__mv}							\
	%{buildroot}%{_bindir}/gtk-update-icon-cache	\
	%{buildroot}%{_bindir}/gtk2-update-icon-cache

#-----------------------------------------------------------------------------
%changelog
